/*
* IT Integra
*/


#include "minigui.ch"
#include "runcd.ch"


Static cIni, aMenu := {}, aHelpUsing := {},cVersion:="",cBMP:="", cWinTitle:="", cUrlCaption:="",cUrl:=""
Static nWinWidth:=nWidth ,nWinHeight:=nHeight ,nMenuRows:=0



//Set Procedure To Menuvert

//Set Procedure To Dolgfunctions



Function Main
LOCAL btnCounter:=0
	
	cIni := GetStartupFolder()+"\config.ini"
	
// Load Ini
LoadData()
SetWinSize()




	DEFINE WINDOW Main ;
		AT nTop,nLeft ;
		WIDTH nWinWidth ;
		HEIGHT nWinHeight ;
		TITLE cWinTitle;
		NOMAXIMIZE;
		NOSIZE;
		ICON 'main';
		MAIN 
		
		DEFINE MAIN MENU 
			POPUP "System"
			  ITEM "Help Using"		ACTION HelpUsing()
				ITEM "Help About"		ACTION MsgAbout()
				SEPARATOR				
				ITEM "Exit"		ACTION Exit()
			END POPUP
			
		


		END MENU
	
	MakeMenuVert(aMenu)
	SetLogo()
	SetHiperlink()
	
		DEFINE STATUSBAR 
			STATUSITEM cVersion
			CLOCK 
			DATE 
		END STATUSBAR
		
  DefineWindowHotKeys()
	
	END WINDOW
  

	
//	MAXIMIZE WINDOW Main
	CENTER WINDOW Main
	ACTIVATE WINDOW Main


Return

Procedure SetWinSize()
//WIDTH nWinWidth ;
//MsgInfo(str(len(aMenu)))
	 nWinHeight :=(len(aMenu)+2)* ( VBUTTONHEIGHT + VBUTTONSEPARATOR)+10

Return Nil



Procedure SetHiperLink()


Local HiperCol:=VBUTTONWIDTH  + 20
Local HiperRow:=nWinHeight - 98


@ HiperRow,HiperCol HYPERLINK WWWLINK ;
                 VALUE cUrlCaption ; 
                 FONT 'Arial' SIZE 09 ;
                 AUTOSIZE ;
                 ADDRESS cUrl; //Full url (with http://)
                 TOOLTIP 'Click to run default browser'	;
				WIDTH 150        		;
				HEIGHT 16			;
                 HANDCURSOR

Return Nil


Procedure SetLogo()


  LWidth:=nWinWidth //-240
  LHeight:=(nMenuRows+1)*20

  LCol:=100
  LRow:=0


  DEFINE IMAGE LogoImage
  ROW	LRow
  COL	LCol
  PICTURE getcurrentfolder()+"\"+cBmp
  WIDTH LWidth
  HEIGHT LHeight
  END IMAGE


Return Nil





Procedure DefineWindowHotKeys()
  ON KEY F1                            ACTION MsgAbout()
  ON KEY ALT+F4                        ACTION Exit()
    ON KEY ESCAPE                      ACTION Exit(.F.)
Return


Function HelpUsing()
Local cHelpUsing:="", nCounter:=1
Local nMax:=0

For nCounter:=1 to len(aHelpUsing)
nMax:= Max(nMax,LEN(aHelpUsing[nCounter]))
Next


For nCounter:=1 to len(aHelpUsing)
cHelpUsing+=padc(aHelpUsing[nCounter],nMax)+CRLF
Next


Return MsgInfo(cHelpUsing, "Help Using")


*--------------------------------------------------------*
Function MsgAbout
*--------------------------------------------------------*
Return MsgInfo("Run CD 1.0 - Freeware" + CRLF + ;
	"Copyright (c) 2008-2009 Andrej Sermjagin" + CRLF + CRLF + ;
	padc("Email: super@freemail.hu", 36) + CRLF + CRLF + ;
	hb_compiler() + CRLF + ;
	version() + CRLF + ;
	substr(MiniGuiVersion(), 1, 28), "About")




Procedure Exit(lQExit)

  IF lQExit==Nil
    lQExit:=.T.
  ENDIF

  IF lQExit==.F.
    lQExit := MsgYesNo ('Exit application ?','Quit')
   // lQExit:=.T.
  ENDIF



  IF lQExit==.T.
    RELEASE WINDOW ALL
  ENDIF

Return




*--------------------------------------------------------*
Procedure LoadData
*--------------------------------------------------------*
	Local nI, cInput := ""
	Local aMenuItems:={},aItems:={}
	Local lSave := .t., lPosition := .t., lSize := .t., lOnTop := .f., lSort := .t.
//	Local nLeft := 0, nTop := 0, nWidth := 0, nHeight := 0,cLastbody:=""
  Local cDefFolder:=""

	BEGIN INI FILE cIni

		GET cUrlCaption SECTION "HyperLink" ENTRY "URLCaption" default "ITS Bt."
    GET cUrl SECTION "HyperLink" ENTRY "URL" default "http:\\its.extra.hu"

		GET cWinTitle SECTION "Version" ENTRY "WinTitle" default "CD start"
    GET cVersion SECTION "Version" ENTRY "CurrentVersion" default "0.1"


//MsgInfo (cVersion)
    GET cBmp SECTION "Image" ENTRY "File" default ""
//MsgInfo (cBmp)		


		For nI := 1 To 99
			GET cInput SECTION "HelpUsing" ENTRY Ltrim(Str(nI, 2)) default ""
	//		MsgInfo (cInput)
			cInput:=ALLTRIM(cInput)
			IF !Empty(cInput)
				Aadd(aHelpUsing,cInput)
						ELSE

				Exit
			ENDIF
		Next


		For nI := 1 To 99
			GET cInput SECTION "MenuItems" ENTRY Ltrim(Str(nI, 2)) default ""
		//	MsgInfo (cInput)
			cInput:=ALLTRIM(cInput)
			IF !Empty(cInput)
				Aadd(aMenuItems, cInput)
			ELSE
			
			
				Exit
			ENDIF
		Next


		For nI := 1 To len(aMenuItems)
			cInput:= aMenuItems[nI]
			IF !Empty(cInput)
			aItems:=ListAsArray(cInput,";")
				Aadd(aMenu, aItems)
			ELSE
				//Exit
			ENDIF
		Next





	END INI


Return







// Functions for execute

Procedure ExecFile(cParam)
  local cCurDir:=GetStartupFolder()
  cParam:=cCurdir+"\"+cParam
//  msgInfo(cParam)
  EXECUTE FILE cParam
Return Nil
         


/***
*
*  ListAsArray( <cList>, <cDelimiter> ) --> aList
*
*  Convert a delimited string to an array
*
*/

FUNCTION ListAsArray( cList, cDelimiter )

LOCAL nPos                                          // Position of cDelimiter in cList
LOCAL aList := {}                                   // Define an empty array


IF cDelimiter == Nil
   cDelimiter:= ","
ENDIF


// Loop while there are more items to extract
DO WHILE ( nPos := AT( cDelimiter, cList )) != 0

   // Add the item to aList and remove it from cList
   AADD( aList, SUBSTR( cList, 1, nPos - 1 ))
   cList := SUBSTR( cList, nPos + 1 )

ENDDO
AADD( aList, cList )                                // Add final element

RETURN ( aList )                                    // Return the array

Procedure MakeMenuVert(aMenu)
Local nMenu:=1
Local aItems:={}
For nMenu:=1 to len(aMenu)
aItems:=aMenu[nMenu]
SetButton('B'+Alltrim(str(nMenu)),nMenu,aItems[1],nMenu)
Next
nMenuRows:=nMenu
return nil


Procedure SetButton(ParamName,ParamRow,ParamCaption,ParamAction)

  DEFINE BUTTON &ParamName
  ROW 		(ParamRow-1) * VBUTTONROW + ParamRow*VBUTTONSEPARATOR
  COL 		VBUTTONCOL
  WIDTH		VBUTTONWIDTH
  HEIGHT		VBUTTONHEIGHT
  CAPTION  	ParamCaption
  TOOLTIP		ParamAction
  ONCLICK		MsgInfo(STR(ParamAction), "Teszt!")
  END BUTTON

  //PICTURE		"MPM"

  return nil




